/**
 * SIMULATION of TOKEN-RING
 *
 **/

import java.awt.*;
import java.applet.*;
import java.io.*;
import java.net.*;

/**
 * Class mainfddi is the main class for the applet
 *
 * @author Stephan Willmanns
 *
 **/
public class mainfddi extends Applet implements Runnable
{
   Image im1, im2;
   Font Textstil = new Font("Courier", Font.BOLD, 20);
   public ThreadGroup thg = null;
   private Thread th = null;

   public void init()
   {
      this.im1 = getImage(this.getCodeBase(), "comp1.gif");
      this.im2 = getImage(this.getCodeBase(), "baustelle.gif");
      setLayout(new BorderLayout());
      Panel schalter = new Panel();
      schalter.add(new Button("Start animation"));
      schalter.add(new Button("Help"));
      add("South", schalter);
   }

   public void start()
   {
      if (th == null)
      {
         th = new Thread(this);
         thg = th.getThreadGroup();
         th.start();
      }
   }

   public void stop()
   {
      if ((th != null) && (th.isAlive()))
         th.stop();
      th = null;
   }

   public void run()
   {
      th.suspend();
   }

   public void paint( Graphics g )
   {
      g.setFont(Textstil);
      g.drawString("Simulation of a FDDI-Ring", 30, 60);
   }

   private void oeffne_fenster()
   {
      Frame f = new fddi(im1, im2);
      f.resize(800,600);
      f.setBackground(Color.white);
      f.show();
   }

   private void show_help()
   {
      try {
         String s = "fddi.html";
         URL u = new URL(this.getCodeBase(), s);
         getAppletContext().showDocument(u, "_blank");
      } catch (MalformedURLException e) {System.out.println("Error: "+e);};
   }

   public boolean action(Event evt, Object arg)
   {
      if (arg.equals("Start animation")) oeffne_fenster();
      else if (arg.equals("Help")) show_help();
      else return false;
      return true;
   }

}
